Vector BLF

Loading...
Searching...
No Matches
Vector::BLF::LinSynchFieldEvent Struct Reference

`#include <LinSynchFieldEvent.h>`

Inheritance diagram for Vector::BLF::LinSynchFieldEvent:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::LinBusEvent
| LinBusEvent (const LinBusEvent &)=default
LinBusEvent & | operator= (const LinBusEvent &)=default
| LinBusEvent (LinBusEvent &&)=default
LinBusEvent & | operator= (LinBusEvent &&)=default

## Public Attributes
uint64_t | synchBreakLength {}
| Sync Break Length in ns.
uint64_t | synchDelLength {}
| Sync Delimiter Length in ns.
Public Attributes inherited from Vector::BLF::LinBusEvent
uint64_t | sof {}
| Start Of Frame timestamp.
uint32_t | eventBaudrate {}
| Baudrate of the event in bit/sec.
uint16_t | channel {}
| application channel
uint16_t | reservedLinBusEvent {}

## Detailed Description

Common header of LIN bus events containing break field data

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::LinSynchFieldEvent::calculateObjectSize | ( |  | ) | const
| override virtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::LinBusEvent.

## ◆ read()

void Vector::BLF::LinSynchFieldEvent::read | ( | AbstractFile & | is | ) |
| override virtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::LinBusEvent.

## ◆ write()

void Vector::BLF::LinSynchFieldEvent::write | ( | AbstractFile & | os | ) |
| override virtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::LinBusEvent.

## Member Data Documentation

## ◆ synchBreakLength

uint64_t Vector::BLF::LinSynchFieldEvent::synchBreakLength {}

Sync Break Length in ns.

Length of dominant part [in nanoseconds]

## ◆ synchDelLength

uint64_t Vector::BLF::LinSynchFieldEvent::synchDelLength {}

Sync Delimiter Length in ns.

Length of delimiter (recessive) [in nanoseconds]

The documentation for this struct was generated from the following files:

- LinSynchFieldEvent.h
- LinSynchFieldEvent.cpp